## GstD3D12MemoryCopy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstD3D12MemoryCopy

Since : 1.26

### Properties

#### adapter

    “adapter” gint

Adapter index for creating device (-1 for default)

Flags : Read / Write

Default value : -1

#### queue-type

    “queue-type” D3d12memcpy-cmd-queue-type *

Command queue type to use for copy operation

Flags : Read / Write

Default value : auto (0)

Since : 1.28

#### use-staging-memory

    “use-staging-memory” gboolean

Use GPU-visible staging memory for upload/download operations instead of system memory

Flags : Read / Write

Default value : true

Since : 1.28

### Named constants

#### D3d12memcpy-cmd-queue-type

##### Members

`auto` (0) – Auto
`3d` (1) – 3D
`compute` (2) – Compute
`copy` (3) – Copy

Since : 1.28

The results of the search are